IMail IMAP Server Login Functions Remote Overflow

This script is Copyright (C) 1999-2014 Tenable Network Security, Inc.


Synopsis :

The remote IMAP server is affected by a buffer overflow
vulnerability.

Description :

The remote host is running IMail IMAP server. The installed version
is affected by a buffer overflow when handling a long user name, or a
long password. An attacker, exploiting this flaw, could cause a denial
of service, or possibly execute arbitrary code subject to the
permissions of the IMAP server.

See also :

http://marc.info/?l=bugtraq&m=92038879607336&w=2

Solution :

Upgrade to IMail 5.0.3 or later.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 7.5
(CVSS2#E:H/RL:U/RC:ND)
Public Exploit Available : true

Family: Gain a shell remotely

Nessus Plugin ID: 10123 (imail_imapd_overflow.nasl)

Bugtraq ID: 502

CVE ID: CVE-1999-1557